Bug 49285 - [Chromium/DRT] Make EventSendingController send complete touch events.
: [Chromium/DRT] Make EventSendingController send complete touch events.
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Tools / Tests
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To: Nobody
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-09 15:37 PST by Robert Kroeger
Modified: 2010-11-12 09:43 PST (History)
1 user (show)

See Also:


Attachments
p1 for 49285 (2.25 KB, patch)
2010-11-10 10:35 PST, Robert Kroeger
no flags Details | Formatted Diff | Diff
Addressed review comments. (2.07 KB, patch)
2010-11-10 12:36 PST, Robert Kroeger
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Kroeger 2010-11-09 15:37:19 PST
The forthcoming patch makes EventSendingController send touch events more like
how it currently handles mouse events: it gives them valid screenPosition
fields and does layout before dispatching them.
Comment 1 Robert Kroeger 2010-11-10 10:35:02 PST
Created attachment 73505 [details]
p1 for 49285
Comment 2 James Robinson 2010-11-10 11:59:21 PST
Comment on attachment 73505 [details]
p1 for 49285

View in context: https://bugs.webkit.org/attachment.cgi?id=73505&action=review

Patch looks good, but please fix/remove the comment before landing.

> WebKitTools/DumpRenderTree/chromium/EventSender.cpp:878
> +    // Force a layout here just to make sure every position has been
> +    // determined before we send events (as well as all the other methods
> +    // that send an event do).

This comment doesn't seem very helpful, I'd just leave it out.  It's also not entirely accurate from what I can tell (it won't change the position argument passed on this event).
Comment 3 Robert Kroeger 2010-11-10 12:36:19 PST
Created attachment 73527 [details]
Addressed review comments.
Comment 4 Eric Seidel 2010-11-10 14:01:11 PST
Comment on attachment 73505 [details]
p1 for 49285

Cleared James Robinson's review+ from obsolete attachment 73505 [details] so that this bug does not appear in http://webkit.org/pending-commit.
Comment 5 James Robinson 2010-11-11 13:48:55 PST
Comment on attachment 73527 [details]
Addressed review comments.

Cool!
Comment 6 WebKit Commit Bot 2010-11-11 14:37:35 PST
Comment on attachment 73527 [details]
Addressed review comments.

Rejecting patch 73527 from commit-queue.

Failed to run "['./WebKitTools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=abarth-cq-sl', 'build', '--no-clean', '--no-update', '--build-style=both']" exit_code: 1
ERROR: Working directory has local commits, pass --force-clean to continue.

Full output: http://queues.webkit.org/results/5744004
Comment 7 WebKit Commit Bot 2010-11-12 09:43:27 PST
Comment on attachment 73527 [details]
Addressed review comments.

Clearing flags on attachment: 73527

Committed r71921: <http://trac.webkit.org/changeset/71921>
Comment 8 WebKit Commit Bot 2010-11-12 09:43:32 PST
All reviewed patches have been landed.  Closing bug.